Get certificate details and usage
GET
/
tls-manager
/
certificates
/
details
Get certificate details and usage
curl --request GET \
--url https://api.aptranet.com/tls-manager/certificates/details \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/tls-manager/certificates/details"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/tls-manager/certificates/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/tls-manager/certificates/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 2,
"name": "<string>",
"type": "managed",
"read_only": true,
"status": "active",
"domains": [
"<string>"
],
"valid_until": "2023-11-07T05:31:56Z",
"provisioning": true,
"usage": [
{
"distribution_id": 2,
"distribution_name": "<string>",
"hostname": "<string>"
}
],
"type_label": "<string>",
"issuer": "<string>",
"serial_number": "<string>",
"fingerprint_sha256": "<string>",
"subject_cn": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"not_before": "2023-11-07T05:31:56Z",
"issuing": {
"status": "<string>",
"active": true,
"attempts": 123,
"started": "<string>",
"finished": "<string>",
"next_attempt": "<string>",
"error": "<string>",
"details": "<string>",
"retry_after": "<string>"
},
"public_certificate": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Project API access key.
Current secret for the access key.
Query Parameters
Required range:
x >= 1Response
Successful response.
Required range:
x >= 1Available options:
managed, advanced_managed, imported Available options:
active, expired, pending Show child attributes
Show child attributes
Show child attributes
Show child attributes
Get certificate details and usage
curl --request GET \
--url https://api.aptranet.com/tls-manager/certificates/details \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/tls-manager/certificates/details"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/tls-manager/certificates/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/tls-manager/certificates/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 2,
"name": "<string>",
"type": "managed",
"read_only": true,
"status": "active",
"domains": [
"<string>"
],
"valid_until": "2023-11-07T05:31:56Z",
"provisioning": true,
"usage": [
{
"distribution_id": 2,
"distribution_name": "<string>",
"hostname": "<string>"
}
],
"type_label": "<string>",
"issuer": "<string>",
"serial_number": "<string>",
"fingerprint_sha256": "<string>",
"subject_cn": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"not_before": "2023-11-07T05:31:56Z",
"issuing": {
"status": "<string>",
"active": true,
"attempts": 123,
"started": "<string>",
"finished": "<string>",
"next_attempt": "<string>",
"error": "<string>",
"details": "<string>",
"retry_after": "<string>"
},
"public_certificate": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}